import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class OrderInfoCard extends StatelessWidget {
  const OrderInfoCard({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 345.w,
      height: 484.5.h,
      margin: EdgeInsets.fromLTRB(15.w, 17.w, 15.w, 0),
      decoration: BoxDecoration(
        color: Colors.white,
        //设置四周圆角 角度
        borderRadius: BorderRadius.all(Radius.circular(2.0)),
        //设置四周边框
        boxShadow: [
          BoxShadow(
            blurRadius: 10, //阴影范围
            spreadRadius: 0.1, //阴影浓度
            color: Colors.grey.withOpacity(0.2), //阴影颜色
          ),
        ],
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Container(
              margin: EdgeInsets.fromLTRB(15.w, 0, 0, 0),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Container(
                    padding: EdgeInsets.fromLTRB(0, 15, 0, 20),
                    width: 314.w,
                    decoration: const BoxDecoration(
                        border: Border(
                            bottom:
                                BorderSide(width: 0.5, color: Color(0x20000000)
                                    // 0x17000000
                                    ))),
                    child: RichText(
                      text: const TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '订单编号：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: 'XUHUI12345',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.fromLTRB(0, 20, 0, 15),
                    child: RichText(
                      text: const TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '农机名称：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: '老李家收割机MVGV-005',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.fromLTRB(0, 0, 0, 15),
                    child: RichText(
                      text: const TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '作业面积：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: '1',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.fromLTRB(0, 0, 0, 15),
                    child: RichText(
                      text: const TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '需求时间：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: '2018-08-21',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.fromLTRB(0, 0, 0, 20),
                    child: RichText(
                      text: const TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '下单时间：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: '2022-04-13',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.fromLTRB(0, 0, 0, 20),
                    child: RichText(
                      text: TextSpan(children: <InlineSpan>[
                        TextSpan(
                            text: '订单状态：',
                            style: TextStyle(
                                color: Color(0xff666666),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                        TextSpan(
                            text: '待付款',
                            style: TextStyle(
                                color: Color(0xff51D4FF),
                                fontSize: 16,
                                fontWeight: FontWeight.bold)),
                      ]),
                    ),
                  ),
                  Container(
                      padding: EdgeInsets.fromLTRB(0, 20, 0, 0),
                      width: 314.w,
                      decoration: const BoxDecoration(
                          border: Border(
                              top: BorderSide(
                                  width: 0.8, color: Color(0x20000000)
                                  // 0x17000000
                                  ))),
                      child: Column(
                        children: [
                          Row(
                            mainAxisAlignment: MainAxisAlignment.spaceBetween,
                            children: [
                              Text('费用：',
                                  style: TextStyle(
                                      color: Color(0xff666666),
                                      fontSize: 16,
                                      fontWeight: FontWeight.bold)),
                              Text('8880',
                                  style: TextStyle(
                                      color: Color(0xffB61515),
                                      fontSize: 16,
                                      fontWeight: FontWeight.bold)),
                            ],
                          ),
                          Padding(padding: EdgeInsets.fromLTRB(0, 30, 0, 0),
                            child:  Row(
                              mainAxisAlignment: MainAxisAlignment.spaceBetween,
                              children: [
                                Text('状态：',
                                    style: TextStyle(
                                        color: Color(0xff666666),
                                        fontSize: 16,
                                        fontWeight: FontWeight.bold)),
                                Text('待付款',
                                    style: TextStyle(
                                        color: Color(0xff51D4FF),
                                        fontSize: 16,
                                        fontWeight: FontWeight.bold)),
                              ],
                            ),

                          ),

                        ],
                      )),
                ],
              )),

        ],
      ),

    );
  }
}
